org.apache.uima.resource.impl

## Class Parameter_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.impl.Parameter_impl

- All Implemented Interfaces:
    Serializable, Cloneable, MetaDataObject, Parameter, XMLizable

      public class Parameter_impl
      extends MetaDataObject_impl
      implements Parameter

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameter_impl()`
    `Parameter_impl(String name, String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFromXMLElement(Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions)` Overridden to read "name" and "value" attributes.
    `String` | `getName()` Gets the name of the parameter
    `String` | `getValue()` Gets the value of the parameter.
    `protected AttributesImpl` | `getXMLAttributes()` Overridden to handle "name" and "value" attributes.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `setName(String aName)` Sets the name of the parameter
    `void` | `setValue(String aValue)` Sets the value of the parameter.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### Parameter_impl

          public Parameter_impl()

    - #### Parameter_impl

          public Parameter_impl(String name,
                                String value)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Parameter`
      Gets the name of the parameter
      Specified by:
        `getName` in interface `Parameter`
      Returns:
        the name

    - #### setName

          public void setName(String aName)

      Description copied from interface: `Parameter`
      Sets the name of the parameter
      Specified by:
        `setName` in interface `Parameter`
      Parameters:
        `aName` - the name

    - #### getValue

          public String getValue()

      Description copied from interface: `Parameter`
      Gets the value of the parameter.
      Specified by:
        `getValue` in interface `Parameter`
      Returns:
        the value

    - #### setValue

          public void setValue(String aValue)

      Description copied from interface: `Parameter`
      Sets the value of the parameter.
      Specified by:
        `setValue` in interface `Parameter`
      Parameters:
        `aValue` - the value

    - #### buildFromXMLElement

          public void buildFromXMLElement(Element aElement,
                                          XMLParser aParser,
                                          XMLParser.ParsingOptions aOptions)
                                   throws InvalidXMLException

      Overridden to read "name" and "value" attributes.
      Specified by:
        `buildFromXMLElement` in interface `XMLizable`
      Overrides:
        `buildFromXMLElement` in class `MetaDataObject_impl`
      Parameters:
        `aElement` - the XML element that represents this object.
        `aParser` - a reference to the UIMA `XMLParser`. The `XMLParser.buildObject(Element)` method can be used to construct sub-objects.
        `aOptions` - option settings
      Throws:
        `InvalidXMLException` - if the input XML element does not specify a valid object
      See Also:
        `MetaDataObject_impl.buildFromXMLElement(org.w3c.dom.Element, org.apache.uima.util.XMLParser, org.apache.uima.util.XMLParser.ParsingOptions)`

    - #### getXMLAttributes

          protected AttributesImpl getXMLAttributes()

      Overridden to handle "name" and "value" attributes.
      Overrides:
        `getXMLAttributes` in class `MetaDataObject_impl`
      Returns:
        an object defining the attributes to be written to the XML
      See Also:
        `MetaDataObject_impl.getXMLAttributes()`

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.